<template>
    <div class="content__leftAnalitika">
        <div class="add-news">
            <div class="add__news--top">
                <post-form @submit="create"/>
            </div>
        </div>
    </div>
</template>

<script>
    import PostForm from "../components/posts/PostForm";
    import laravelValidationErrorParse from "../mixins/laravelValidationErrorParse";
    import {mapGetters} from "vuex";

	export default {
		name: "PostCreate",
        mixins: [laravelValidationErrorParse],
        computed: {
            ...mapGetters([
                'axios'
            ]),
        },
        methods: {
		    create(formData){
                this.axios
                    .post(`posts`, formData)
                    .then(resp => resp.data)
                    .then(data => {
                        if('success' === data.status){
                            this.$swal(this.$t('ui.success'));
                        }else{
                            this.$swal(this.$t('ui.error'), data.message, 'error')
                        }
                    })
                    .catch((error) => {
                        this.displayErrorsSwal(error);
                    });
            }
        },
        components: {
		    PostForm
        }
	}
</script>

<style scoped>

</style>
